Fix: sessiond: check for lttng-modules ABI 2.1 rather than 2.8
authorJérémie Galarneau <jeremie.galarneau@efficios.com>
Fri, 20 Dec 2019 03:13:10 +0000 (22:13 -0500)
committerJérémie Galarneau <jeremie.galarneau@efficios.com>
Fri, 20 Dec 2019 03:13:10 +0000 (22:13 -0500)
The clear patchset introduces a regression that breaks session
rotations when the kernel domain is used. The 2.8 lttng-modules ABI
does not exist yet.

The packet sequence number functionality was introduced in LTTng 2.8,
which introduced the 2.1 kernel tracer ABI.

Signed-off-by: Jérémie Galarneau <jeremie.galarneau@efficios.com>
Change-Id: Ief97e7e25f6f0fcb5b5b97b39abb417c1eb327ec

src/bin/lttng-sessiond/kernel.c

index 1f987ef7d365a2890146d5c5cccdc1f3cf72660a..2626e98b259f46eeebbeee69be8bc1935cb43dfa 100644 (file)
@@ -1445,9 +1445,10 @@ int kernel_supports_ring_buffer_packet_sequence_number(void)
        }
 
        /*
-        * Packet sequence number was introduced in 2.8
+        * Packet sequence number was introduced in LTTng 2.8,
+        * lttng-modules ABI 2.1.
         */
-       if (abi.major >= 2 && abi.minor >= 8) {
+       if (abi.major >= 2 && abi.minor >= 1) {
                /* Supported */
                ret = 1;
        } else {
This page took 0.033481 seconds and 4 git commands to generate.